Bug 204540 - java/wildfly90: Update to 9.0.2
Summary: java/wildfly90: Update to 9.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-14 14:10 UTC by yerenkow
Modified: 2015-12-14 12:05 UTC (History)
1 user (show)

See Also:


Attachments
patch (34.87 KB, patch)
2015-11-14 14:10 UTC, yerenkow
koobs: maintainer-approval+
Details | Diff
updated patch (126.27 KB, text/plain)
2015-12-14 11:44 UTC, yerenkow
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description yerenkow 2015-11-14 14:10:34 UTC
Created attachment 163114 [details]
patch
Comment 1 Jason Unovitch freebsd_committer 2015-12-11 00:53:29 UTC
Take.  Looks like the fetch is going very slow so I'll have to revisit QA'ing the changeset tomorrow.

Note: In the future please dos2unix patch submissions as that will save an intermediary step.
Comment 2 commit-hook freebsd_committer 2015-12-12 00:14:05 UTC
A commit references this bug:

Author: junovitch
Date: Sat Dec 12 00:13:22 UTC 2015
New revision: 403575
URL: https://svnweb.freebsd.org/changeset/ports/403575

Log:
  java/wildfly90: update 9.0.1 -> 9.0.2

  - Drop ${CHMOD} usage and set permissions in pkg-plist (portlint)
  - Add terminating @owner/@group to pkg-plist (portlint)
  - Switch version specific path in pkg-message to variable

  PR:		204540
  Submitted by:	yerenkow@gmail.com (maintainer)

Changes:
  head/java/wildfly90/Makefile
  head/java/wildfly90/distinfo
  head/java/wildfly90/files/pkg-message.in
  head/java/wildfly90/pkg-plist
Comment 3 Jason Unovitch freebsd_committer 2015-12-12 00:20:41 UTC
Committed with changes for portlint, to support builds as non root, and to ensure pkg-message stays correct between port updates.
Comment 4 commit-hook freebsd_committer 2015-12-12 00:32:10 UTC
A commit references this bug:

Author: junovitch
Date: Sat Dec 12 00:32:05 UTC 2015
New revision: 403578
URL: https://svnweb.freebsd.org/changeset/ports/403578

Log:
  java/wildfly90: use 555 permissions instead to match original CHMOD

  PR:		204540
  Approved by:    maintainer (implicit to match original behavior)

Changes:
  head/java/wildfly90/pkg-plist
Comment 5 yerenkow 2015-12-14 11:44:07 UTC
Created attachment 164231 [details]
updated patch

new shar with applied fixes
Comment 6 yerenkow 2015-12-14 12:05:22 UTC
(In reply to yerenkow from comment #5)

Sorry, this was meant to another PR.